package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * AreaUspTsPeriodData对象 area_usp_ts_period_data
 *
 * @author hlf
 * @date 2021-10-27
 */
public class AreaUspTsPeriodData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long areaNo;

    private Long modelNo;

    private Long timeScale;

    private Date dataTime;

    private Double windSpeed;

    private Double modCoeff;

    private Double power;

    private Double modPower;

    private Long dataFlag;

    public void setAreaNo(Long areaNo) {
        this.areaNo = areaNo;
    }

    public Long getAreaNo() {
        return areaNo;
    }

    public void setModelNo(Long modelNo) {
        this.modelNo = modelNo;
    }

    public Long getModelNo() {
        return modelNo;
    }

    public void setTimeScale(Long timeScale) {
        this.timeScale = timeScale;
    }

    public Long getTimeScale() {
        return timeScale;
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    public Date getDataTime() {
        return dataTime;
    }

    public void setWindSpeed(Double windSpeed) {
        this.windSpeed = windSpeed;
    }

    public Double getWindSpeed() {
        return windSpeed;
    }

    public void setModCoeff(Double modCoeff) {
        this.modCoeff = modCoeff;
    }

    public Double getModCoeff() {
        return modCoeff;
    }

    public void setPower(Double power) {
        this.power = power;
    }

    public Double getPower() {
        return power;
    }

    public void setModPower(Double modPower) {
        this.modPower = modPower;
    }

    public Double getModPower() {
        return modPower;
    }

    public void setDataFlag(Long dataFlag) {
        this.dataFlag = dataFlag;
    }

    public Long getDataFlag() {
        return dataFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("areaNo", getAreaNo())
                .append("modelNo", getModelNo())
                .append("timeScale", getTimeScale())
                .append("dataTime", getDataTime())
                .append("windSpeed", getWindSpeed())
                .append("modCoeff", getModCoeff())
                .append("power", getPower())
                .append("modPower", getModPower())
                .append("dataFlag", getDataFlag())
                .toString();
    }
}
